> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an offer template

> Get a single offer template

<sup>Required permissions: `offer-template:read`</sup>



## OpenAPI

````yaml get /offer-templates/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /offer-templates/{id}:
    parameters: []
    get:
      tags:
        - OfferTemplate
      summary: Get an offer template
      description: |-
        Get a single offer template

        <sup>Required permissions: `offer-template:read`</sup>
      operationId: api_offer-templates_id_get
      parameters:
        - name: id
          in: path
          description: OfferTemplate identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: OfferTemplate resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfferTemplate-OfferTemplateRead'
            text/html:
              schema:
                $ref: '#/components/schemas/OfferTemplate-OfferTemplateRead'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - offer-template:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /offer-templates/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    OfferTemplate-OfferTemplateRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        sections:
          type: array
          items:
            type: string
        type:
          default: section
          example: section
          type: string
          enum:
            - section
            - page
      required:
        - name
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````